VULKAN_HPP_NAMESPACE::ObjectTableNVX Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | ObjectTableNVX ()
VULKAN_HPP_CONSTEXPR | ObjectTableNVX (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | ObjectTableNVX (VkObjectTableNVX objectTableNVX)
ObjectTableNVX & | operator= (std::nullptr_t)
bool | operator== (ObjectTableNVX const &rhs) const
bool | operator!= (ObjectTableNVX const &rhs) const
bool | operator< (ObjectTableNVX const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkObjectTableNVX () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkObjectTableNVX | m_objectTableNVX

## Detailed Description

Definition at line 4284 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ObjectTableNVX() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::ObjectTableNVX::ObjectTableNVX | ( |  | ) |

inline

Definition at line 4287 of file vulkan.hpp.

: m_objectTableNVX(VK_NULL_HANDLE)
{}

## ObjectTableNVX() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::ObjectTableNVX::ObjectTableNVX | ( | std::nullptr_t |  | ) |

inline

Definition at line 4291 of file vulkan.hpp.

: m_objectTableNVX(VK_NULL_HANDLE)
{}

## ObjectTableNVX() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::ObjectTableNVX::ObjectTableNVX | ( | VkObjectTableNVX | objectTableNVX | ) |

inline

Definition at line 4295 of file vulkan.hpp.

: m_objectTableNVX( objectTableNVX )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator bool | ( |  | ) | const

inline explicit

Definition at line 4335 of file vulkan.hpp.

{
return m_objectTableNVX != VK_NULL_HANDLE;
}

References m_objectTableNVX, and VK_NULL_HANDLE.

## operator VkObjectTableNVX()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator VkObjectTableNVX | ( |  | ) | const

inline

Definition at line 4330 of file vulkan.hpp.

{
return m_objectTableNVX;
}

References m_objectTableNVX.

## operator!()

bool VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator! | ( |  | ) | const

inline

Definition at line 4340 of file vulkan.hpp.

{
return m_objectTableNVX == VK_NULL_HANDLE;
}

References m_objectTableNVX, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator!= | ( | ObjectTableNVX const & | rhs | ) | const

inline

Definition at line 4318 of file vulkan.hpp.

{
return m_objectTableNVX != rhs.m_objectTableNVX;
}

References m_objectTableNVX.

## operator<()

bool VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator< | ( | ObjectTableNVX const & | rhs | ) | const

inline

Definition at line 4323 of file vulkan.hpp.

{
return m_objectTableNVX < rhs.m_objectTableNVX;
}

References m_objectTableNVX.

## operator=()

ObjectTableNVX& VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4307 of file vulkan.hpp.

{
m_objectTableNVX = VK_NULL_HANDLE;
return *this;
}

References m_objectTableNVX, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::ObjectTableNVX::operator== | ( | ObjectTableNVX const & | rhs | ) | const

inline

Definition at line 4313 of file vulkan.hpp.

{
return m_objectTableNVX == rhs.m_objectTableNVX;
}

References m_objectTableNVX.

## Field Documentation

## m_objectTableNVX

VkObjectTableNVX VULKAN_HPP_NAMESPACE::ObjectTableNVX::m_objectTableNVX

private

Definition at line 4346 of file vulkan.hpp.

Referenced by operator bool(), operator VkObjectTableNVX(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ObjectTableNVX::m_objectTableNVX
VkObjectTableNVX m_objectTableNVX
Definition: vulkan.hpp:4346
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49